import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import { Http, Response } from '@angular/http';


declare var Stimulsoft: any;


@Component({
  selector: 'app-repo.component',
  templateUrl: './repo.component.html',
  styleUrls: ['./repo.component.css'],

  encapsulation: ViewEncapsulation.None
})
export class RepoComponent implements OnInit {
  options: any = new Stimulsoft.Viewer.StiViewerOptions();
  // viewer: any = new Stimulsoft.Viewer.StiViewer(this.options, 'StiViewer', false);

  viewer: any = new Stimulsoft.Viewer.StiViewer(null, 'StiViewer', false);
  report: any = new Stimulsoft.Report.StiReport();


  constructor(private http: Http) { }

  ngOnInit() {

    var report = new Stimulsoft.Report.StiReport();
    report.loadFile("reports/Report.mdc");
    this.viewer.report = report;
    this.viewer.renderHtml("viewerContent");


    //  this.http.request('reports/Report.mdc').subscribe((data: Response) => {

    //  console.log('Load report from url');
    //  this.report.loadDocument(data.json());
    //  this.viewer.report = this.report;

    //  console.log('Rendering the viewer to selected element');
    //  this.viewer.renderHtml('viewer');
    // });





  }

}
